## org.omg.CORBA
Class ModuleDescriptionHelper

    java.lang.Object
      |
      +--org.omg.CORBA.ModuleDescriptionHelper

public class ModuleDescriptionHelper
extends java.lang.Object

Helper class for : ModuleDescription

Author:
  OpenORB Compiler

Constructor Summary
`ModuleDescriptionHelper()`

Method Summary
`static ModuleDescription` `extract(Any a)` Extract ModuleDescription from an any
`static java.lang.String` `id()` Return the ModuleDescription IDL ID
`static void` `insert(Any a, ModuleDescription t)` Insert ModuleDescription into an any
`static ModuleDescription` `read(InputStream istream)` Read ModuleDescription from a marshalled stream
`static TypeCode` `type()` Return the ModuleDescription TypeCode
`static void` `write(OutputStream ostream, ModuleDescription value)` Write ModuleDescription into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModuleDescriptionHelper

    public ModuleDescriptionHelper()

Method Detail

### insert

    public static void insert(Any a,
                              ModuleDescription t)

  Insert ModuleDescription into an any
  Parameters:
    `a` - an any
    `t` - ModuleDescription value

### extract

    public static ModuleDescription extract(Any a)

  Extract ModuleDescription from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ModuleDescription value

### type

    public static TypeCode type()

  Return the ModuleDescription TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ModuleDescription IDL ID
  Returns:
    an ID

### read

    public static ModuleDescription read(InputStream istream)

  Read ModuleDescription from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ModuleDescription value

### write

    public static void write(OutputStream ostream,
                             ModuleDescription value)

  Write ModuleDescription into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ModuleDescription value